<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <title>{{ config('app.name', 'Laravel') }}</title>
  <!-- Styles -->
  <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
  <div id="app">
    <div class="container">
      <div class="row">
        <div class="col">
          <img class="img-fluid logo-img" src="https://pbs.twimg.com/profile_banners/1555339141/1574845053/1500x500" />
          <div class="logo-c">テクニカル諏訪子</div>
          <div class="logo-br">
            <div class="logo-sns"><a href="https://www.bitchute.com/channel/technicalsuwako" alt="ビットチュート"><img src="/assets/img/bitchute.png" alt="ビットチュートのロゴ" /></a></div>
            <div class="logo-sns"><a href="https://www.twitter.com/TechnicalSuwako" alt="ツイッター"><img src="/assets/img/twitter.png" alt="ツイッターのロゴ" /></a></div>
            <div class="logo-sns"><a href="テクニカル諏訪子#3116" alt="ディスコード"><img src="/assets/img/discord.png" alt="ディスコードのロゴ" /></a></div>
          </div>
        </div>
      </div>
      <div class="row" style="padding: 16px 0;">
        <div class="col">
          <nav class="navbar sticky-top navbar-dark bg-dark navbar-expand-md">
            <a href="/" class="navbar-brand">トップ</a>
            <ul class="navbar-nav ml-auto">
              @if (count($user) > 0)
                <li class="nav-item b-nav-dropdown dropdown">
                  <a href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="nav-link dropdown-toggle" id="notifydown">
                    <span>通知</span>
                  </a>
                  <ul tabindex="-1" class="dropdown-menu dropdown-menu-right" aria-labelledby="notifydown">
                    <span>
                      <li><a role="menuitem" target="_self" href="#" class="dropdown-item">通知がありません</a></li>
                    </span>
                  </ul>
                </li>
                @foreach ($user as $u)
                  <li class="nav-item dropdown">
                    <a href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="nav-link dropdown-toggle" id="userdown">
                      <img src="https://srv.076.ne.jp/{{ $u->avatar }}" height="25px">
                      <span style="{{ $u->name_style }}">{{ $u->showname }}</span>
                    </a>
                    <ul tabindex="-1" class="dropdown-menu dropdown-menu-right" aria-labelledby="userdown">
                      <li><a role="menuitem" target="_self" href="/member" class="dropdown-item">ユーザーリスト</a></li>
                      <li><a role="menuitem" target="_self" href="/profile/{{ $u->id }}" class="dropdown-item">プロファイル</a></li>
                      <li><div class="dropdown-divider"></div></li>
                      <li><a role="menuitem" target="_self" href="/logout" class="dropdown-item">サインアウト</a></li>
                    </ul>
                  </li>
                @endforeach
              @else
                <li class="nav-item"><a target="_self" href="/login" class="nav-link">サインイン</a></li>
                <li class="nav-item"><a target="_self" href="/register" class="nav-link">新規登録</a></li>
              @endif
            </ul>
          </nav>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-3">
          <div class="nav flex-column nav-pills sidemenu">
            <a href="/" class="nav-link {{ ($_SERVER['REQUEST_URI'] == '/sa' ? 'bara' : 'bar') }}">トップ</a>
            @foreach ($menu as $m)
              <a href="/{{ $m['slug'] }}" class="nav-link {{ ($_SERVER['REQUEST_URI'] == '/'.$m['slug'] ? 'bara' : 'bar') }}">{{ $m['title'] }}</a>
            @endforeach
          </div>
        </div>
        <div class="col-sm">
          @yield('content')
        </div>
      </div>
    </div>
  </div>

  <!-- Scripts -->
  <script src="{{ asset('js/app.js') }}"></script>
</body>
</html>
