<?php

// 投稿
Route::get('/api/rpc/site/post/get/all', 'SiteController@getPosts');
Route::get('/api/rpc/site/post/get/user/{id}', 'SiteController@getUserPosts');
Route::get('/api/rpc/site/post/get/id/{id}', 'SiteController@getPostSlug');
Route::get('/api/rpc/site/post/get/slug/{slug}', 'SiteController@getPost');
Route::post('/api/rpc/site/post/new', 'SiteController@newPost');
Route::post('/api/rpc/site/post/edit', 'SiteController@editPost');
Route::post('/api/rpc/site/post/delete', 'SiteController@deletePost');

// コメント
Route::get('/api/rpc/site/comment/get/all/{id}', 'SiteController@getComments');
Route::get('/api/rpc/site/comment/get/one/{id}', 'SiteController@getComment');
Route::post('/api/rpc/site/comment/new', 'SiteController@newComment');
Route::post('/api/rpc/site/comment/edit', 'SiteController@editComment');
Route::post('/api/rpc/site/comment/remove', 'SiteController@removeComment');
Route::post('/api/rpc/site/comment/vote', 'SiteController@voteComment');

// ページ
Route::get('/api/rpc/site/page/get/menu', 'SiteController@getPagesInMenu');
Route::get('/api/rpc/site/page/get/all', 'SiteController@getPages');
Route::get('/api/rpc/site/page/get/id/{id}', 'SiteController@getPageSlug');
Route::get('/api/rpc/site/page/get/slug/{slug}', 'SiteController@getPage');
Route::post('/api/rpc/site/page/new', 'SiteController@newPage');
Route::post('/api/rpc/site/page/edit', 'SiteController@editPage');
Route::post('/api/rpc/site/page/delete', 'SiteController@deletePage');

// 連絡先
Route::get('/api/rpc/site/contact/getcontactfields', 'SiteController@getContactFields');
Route::get('/api/rpc/site/contact/getcontactfield/id', 'SiteController@getContactField');
Route::post('/api/rpc/site/contact/new', 'SiteController@newContactField');
Route::post('/api/rpc/site/contact/edit', 'SiteController@editContactField');
Route::post('/api/rpc/site/contact/remove', 'SiteController@removeContactField');
Route::post('/api/rpc/site/contact/delete', 'SiteController@deleteContactField');

// Portfolio Categories
Route::get('/api/rpc/site/portfolio/getportfoliocategories', 'SiteController@getPortfolioCategories');
Route::get('/api/rpc/site/portfolio/getportfoliocategory/{id}', 'SiteController@getPortfolioCategory');
Route::post('/api/rpc/site/portfolio/newcat', 'SiteController@newPortfolioCategory');
Route::post('/api/rpc/site/portfolio/editcat', 'SiteController@editPortfolioCategory');
Route::post('/api/rpc/site/portfolio/removecat', 'SiteController@removePortfolioCategory');
Route::post('/api/rpc/site/portfolio/deletecat', 'SiteController@deletePortfolioCategory');

// Portfolio Items
Route::get('/api/rpc/site/portfolio/getportfolioitems/{id}', 'SiteController@getPortfolioItems');
Route::get('/api/rpc/site/portfolio/getportfolioitem/{id}', 'SiteController@getPortfolioItem');
Route::post('/api/rpc/site/portfolio/newitem', 'SiteController@newPortfolioItem');
Route::post('/api/rpc/site/portfolio/edititem', 'SiteController@editPortfolioItem');
Route::post('/api/rpc/site/portfolio/removeitem', 'SiteController@removePortfolioItem');
Route::post('/api/rpc/site/portfolio/deleteitem', 'SiteController@deletePortfolioItem');

// 管理者
Route::get('/api/rpc/site/admin/getsettings', 'SiteController@getSettings');
Route::post('/api/rpc/site/admin/setsettings', 'SiteController@setSettings');
