<?php

// ゲーム
Route::get('/api/rpc/store/game/getgames', 'StoreController@getGames');
Route::get('/api/rpc/store/game/getgame/{id}', 'StoreController@getGame');
Route::post('/api/rpc/store/game/newgame', 'StoreController@newGame');
Route::post('/api/rpc/store/game/editgame', 'StoreController@editGame');

// カテゴリー
Route::get('/api/rpc/store/category/getcategories', 'StoreController@getCategories');
Route::get('/api/rpc/store/category/getcategory/{id}', 'StoreController@getCategory');
Route::get('/api/rpc/store/category/getgameofcategory/{id}', 'StoreController@getGameOfCategory');
Route::get('/api/rpc/store/category/getcategoriesofgame/{id}', 'StoreController@getCategoriesOfGame');
Route::get('/api/rpc/store/category/getcategorygame/{id}', 'StoreController@getCategoryGame');
Route::get('/api/rpc/store/category/getcategoryminscrot/{id}', 'StoreController@getCategoryMinScreenshots');
Route::get('/api/rpc/store/category/getcategorynameofentry/{id}', 'StoreController@getCategoryNameOfEntry');
Route::get('/api/rpc/store/category/getcategoryname/{id}', 'StoreController@getCategoryName');
Route::post('/api/rpc/store/category/newcategory', 'StoreController@newCategory');
Route::post('/api/rpc/store/category/editcategory', 'StoreController@editCategory');

// ファイル
// テスト用
Route::get('/api/rpc/store/entry/getallentries', 'StoreController@getAllEntries');
//->middleware('auth');
Route::get('/api/rpc/store/entry/getallapprovedentries', 'StoreController@getAllApprovedEntries');
Route::get('/api/rpc/store/entry/getallbrokenentries', 'StoreController@getAllBrokenEntries');
Route::get('/api/rpc/store/entry/getallpendingentries', 'StoreController@getAllPendingEntries');
Route::get('/api/rpc/store/entry/getnewentries', 'StoreController@getNewEntries');
Route::get('/api/rpc/store/entry/gethotentries', 'StoreController@getHotEntries');
Route::get('/api/rpc/store/entry/getentriespageall/{cat}/{from}/{to}', 'StoreController@getEntriesPageAll');
Route::get('/api/rpc/store/entry/getentriespageapproved/{cat}/{from}/{to}', 'StoreController@getEntriesPageApproved');
Route::get('/api/rpc/store/entry/getentriespagepopularview/{cat}/{from}/{to}', 'StoreController@getEntriesPagePopularView');
Route::get('/api/rpc/store/entry/getentriespagepopulardownload/{cat}/{from}/{to}', 'StoreController@getEntriesPagePopularDownload');
Route::get('/api/rpc/store/entry/getdownloadcount/{id}', 'StoreController@getDownloadCount');
Route::post('/api/rpc/store/entry/updatedownloadcount', 'StoreController@updateDownloadCount');
Route::get('/api/rpc/store/entry/getnotice/{id}', 'StoreController@getNotice');
Route::get('/api/rpc/store/entry/getchangelog/{id}', 'StoreController@getChangelog');
Route::get('/api/rpc/store/entry/getfilesofentry/{id}', 'StoreController@getFilesOfEntry');
Route::get('/api/rpc/store/entry/getnextentryid', 'StoreController@getNextEntryId');
Route::get('/api/rpc/store/entry/getentry/{id}/{mode}', 'StoreController@getEntry');
Route::get('/api/rpc/store/entry/getentryname/{id}', 'StoreController@getEntryName');
Route::get('/api/rpc/store/entry/getentriesincategory/{cat_id}', 'StoreController@getEntriesInCategory');
Route::get('/api/rpc/store/entry/countentriesincategory/{cat_id}', 'StoreController@countEntriesInCategory');
Route::get('/api/rpc/store/entry/countentriesincategoryfull/{cat_id}', 'StoreController@countEntriesInCategoryFull');
Route::post('/api/rpc/store/entry/makedir', 'StoreController@makedir');
Route::post('/api/rpc/store/entry/upload', 'StoreController@uploadEntry');
Route::post('/api/rpc/store/entry/update', 'StoreController@updateEntry');
Route::post('/api/rpc/store/entry/restore', 'StoreController@restoreEntry');
Route::post('/api/rpc/store/entry/remove', 'StoreController@removeEntry');

// ルート
Route::get('/api/rpc/store/browse/browsepermissions/{uid}', 'StoreController@browsePermissions');
